Delivery Order Notification
The delivery order notification resource.
Base/deliveryOrderNotification
GET
/deliveryOrderNotificationList delivery order notifications
Retrieve a paginated list of delivery order notifications. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/deliveryOrderNotification
curl --request GET \
--url '<your-host>/deliveryOrderNotification?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"deliveryFillOrderId": "xyz789",
"title": "string",
"message": "string",
"severity": "string",
"source": "string",
"raisedAt": "2026-01-01T00:00:00Z"
}
]GET
/deliveryOrderNotificationRetrieve a delivery order notification
Fetch a single delivery order notification by filtering on `id`.
Query parameters
idstringMatch on the delivery order notification's `id`, e.g. `eq.{id}`.
GET/deliveryOrderNotification
curl --request GET \
--url '<your-host>/deliveryOrderNotification?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"deliveryFillOrderId": "xyz789",
"title": "string",
"message": "string",
"severity": "string",
"source": "string",
"raisedAt": "2026-01-01T00:00:00Z"
}POST
/deliveryOrderNotificationCreate a delivery order notification
Create a new delivery order notification.
Body parameters
deliveryFillOrderIdstringrequiredtitlestringrequiredmessagestringrequiredseveritystringrequiredsourcestringrequiredraisedAttimestamprequiredresolvedAttimestampPOST/deliveryOrderNotification
curl --request POST \
--url <your-host>/deliveryOrderNotification \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"deliveryFillOrderId":"xyz789","title":"string","message":"string","severity":"string","source":"string","raisedAt":"2026-01-01T00:00:00Z"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"deliveryFillOrderId": "xyz789",
"title": "string",
"message": "string",
"severity": "string",
"source": "string",
"raisedAt": "2026-01-01T00:00:00Z"
}PATCH
/deliveryOrderNotificationUpdate a delivery order notification
Update an existing delivery order notification, matched on `id`.
Body parameters
deliveryFillOrderIdstringrequiredtitlestringrequiredmessagestringrequiredseveritystringrequiredsourcestringrequiredraisedAttimestamprequiredresolvedAttimestampPATCH/deliveryOrderNotification
curl --request PATCH \
--url '<your-host>/deliveryOrderNotification?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"deliveryFillOrderId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"deliveryFillOrderId": "xyz789",
"title": "string",
"message": "string",
"severity": "string",
"source": "string",
"raisedAt": "2026-01-01T00:00:00Z"
}DELETE
/deliveryOrderNotificationDelete a delivery order notification
Delete a delivery order notification, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the delivery order notification to delete, e.g. `eq.{id}`.
DELETE/deliveryOrderNotification
curl --request DELETE \
--url '<your-host>/deliveryOrderNotification?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content